package com.energy.manage.common.util;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSONObject;

import java.util.Map;

/**
 * @author LIKE
 * @date 2017年1月18日 下午6:07:06
 */
public class HttpUtils {

    private final static String GET_UNION_STR = "?";

    /**
     * http请求时长
     */
    private final static int TIME_OUT = 3000;


    /**
     * get 方法
     * @param url
     * @param
     * @return
     */
    public static JSONObject doGet(String url, Map<String,Object> param){
        //做字符串拼接
        url = url + GET_UNION_STR + HttpUtil.toParams(param);
        return JSONObject.parseObject(HttpUtil.get(url,TIME_OUT));
    }

    /**
     * post 方法
     * @param url
     * @param params
     * @return
     */
    public static JSONObject doPost(String url, Map<String,Object> params){
        return JSONObject.parseObject(HttpUtil.post(url,params,TIME_OUT));
    }
}
